#!/usr/local/bin/perl

# $Header: /cys/people/brenner/http/docs/web/RCS/combined-form.cgi,v 1.1 1995/04/07 21:36:42 brenner Exp brenner $
# Copyright (C) 1994 Steven E. Brenner
# This is a small demonstration script to demonstrate the use of 
# the cgi-lib.pl library, where the script both creates the form and
# processes its input

require "cgi-lib.pl";


 MAIN: 
{
# Read in all the variables set by the form
  if (&ReadParse(*input)) {
    &ProcessForm;
  } else {
    &PrintForm;
  }
}

sub ProcessForm {
# Print the header
  print &PrintHeader;
  print "<html><head>\n";
  print "<title>cgi-lib.pl demo form output</title>\n";
  print "</head>\n<body>\n";

# Do some processing, and print some output
  ($text = $input{'text'}) =~ s/\n/\n<BR>/g; 
                                   # add <BR>'s after carriage returns
                                   # to multline input, since HTML does not
                                   # preserve line breaks
  print <<ENDOFTEXT;

<H1>This is the output of combined-form.cgi</H1>

You, $input{'name'}, whose favorite color is $input{'color'} are on a
quest which is $input{'quest'}, and are looking for the weight of an
$input{'swallow'} swallow.  And this is what you have to say for
yourself:<P> $text<P>

ENDOFTEXT


# If you want, just print out a list of all of the variables.
  print "<HR>And here is a list of the variables you entered...<P>";
  print &PrintVariables(%input);

# Close the document cleanly.
  print "</body></html>\n";
}


sub PrintForm {
  print &PrintHeader;
  print <<'ENDOFTEXT';

<head><title>A simple form example</title></head>
<body>

<H1>This is a simple <i>combined</i> form using cgi-lib.pl</H1>
<P>
This is a sample form which demonstrates the use of
 the <B><a href="/cgi-lib/">cgi-lib.pl</A></B> library of
routines for both generating a form &amp; processing its input.
</P>
<HR>
<form method="post" action="combined-form.cgi">
<H2> Pop Quiz: </H2>
What is thy name: <input name="name"><P>
What is thy quest: <input name="quest"><P>

What is thy favorite color:
 <select name="color">
 <option selected>chartreuse
 <option>azure
 <option>puce
 <option>cornflower
 <option>olive draub
 <option>gunmetal
 <option>indigo2
 <option>blanched almond
 <option>flesh
 <option>ochre
 <option>opal
 <option>amber
 <option>mustard
 </select>
<P>

What is the weight of a swallow: <input type="radio" name="swallow"
value="african" checked> African Swallow or
<input type="radio" name="swallow" value="continental"> Continental
Swallow
<P>

What do you have to say for yourself 
<textarea name="text" rows=5 cols=60></textarea>
<P>

Press <input type="submit" value="here"> to submit your query.
</form>
<address>Steven E. Brenner / S.E.Brenner@bioc.cam.ac.uk</address>
$Date: 1995/04/07 21:36:42 $
</body>
ENDOFTEXT

}
